Bug 165493 - control-center has an unnecessary implicitly generated dependency on libebook.so.N
control-center has an unnecessary implicitly generated dependency on libebook...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-09 16:11 EDT by Dave Malcolm
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-10 09:52:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2005-08-09 16:11:09 EDT
Description of problem:
"About Me" uses evolution-data-server for contact information, but (I believe)
we patch that out.

However, the configure.in requires it and adds libebook to the libraries to link
with (although nothing ever gets used).  This gets picked up by RPM, and hence
the control-center RPM has a unnecesssary dependency on libebbok.so.N

This means every time evolution-data-server's libebook so number increases,
control-center needs rebuilding.

Version-Release number of selected component (if applicable):
1:2.11.90-1
Comment 1 Ray Strode [halfline] 2005-08-10 09:52:00 EDT
Should  be fixed in tomorrow's rawhide.  The configure.in check was hard coding
"yes" for enable_about_me no matter what was passed to configure.

Note You need to log in before you can comment on or make changes to this bug.